%define majver %(echo %version | cut -d. -f1-2)
Name:          ModemManager
Epoch:         1
Version:       1.4.8
Release:       1mamba
Summary:       Provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gitorious.org/modemmanager
## Source from git:
## git clone git://anongit.freedesktop.org/ModemManager/ModemManager.git
## cd ModemManager
## ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var
Source:        http://www.freedesktop.org/software/ModemManager/ModemManager-%{version}.tar.xz
#Source:        http://ftp.gnome.org/pub/GNOME/sources/ModemManager/%{majver}/ModemManager-%{version}.tar.xz
#Source:        http://cgit.freedesktop.org/ModemManager/ModemManager/snapshot/ModemManager-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libmbim-devel
BuildRequires: libpcre-devel
BuildRequires: libqmi-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libz-devel
BuildRequires: polkit-devel
BuildRequires: systemd-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: libqmi-devel >= 1.8.0
BuildRequires: libmbim-devel >= 1.10.0
Requires:      mobile-broadband-provider-info
Requires:      usb-modeswitch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ModemManager provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards. Implements a loadable plugin interface to add work-arounds for non standard devices.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
ModemManager provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards. Implements a loadable plugin interface to add work-arounds for non standard devices.
This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
   systemctl -q enable ModemManager
fi
:

%preun
# erase
if [ $1 -eq 0 ]; then
   systemctl -q stop ModemManager
   systemctl -q disable ModemManager
   systemctl -q daemon-reload
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager1.conf
%{_bindir}/mmcli
/lib/systemd/system/ModemManager.service
/lib/udev/rules.d/77-mm-*.rules
/lib/udev/rules.d/80-mm-candidate.rules
%{_sbindir}/ModemManager
%{_libdir}/libmm-glib.so.*
%{_libdir}/girepository-1.0/ModemManager-1.0.typelib
%dir %{_libdir}/ModemManager
%{_libdir}/ModemManager/libmm-*
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager1.service
%{_datadir}/polkit-1/actions/org.freedesktop.ModemManager1.policy
%{_datadir}/icons/hicolor/22x22/apps/ModemManager.png
%{_mandir}/man8/ModemManager.8.gz
%{_mandir}/man8/mmcli.8.gz
%doc AUTHORS COPYING
# README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ModemManager
%{_includedir}/ModemManager/ModemManager*.h
%dir %{_includedir}/libmm-glib
%{_includedir}/libmm-glib/*.h
%{_datadir}/gir-1.0/ModemManager-1.0.gir
%{_datadir}/vala/vapi/libmm-glib.deps
%{_datadir}/vala/vapi/libmm-glib.vapi
%{_libdir}/libmm-glib.a
%{_libdir}/libmm-glib.la
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/ModemManager.pc
%{_libdir}/pkgconfig/mm-glib.pc

%changelog
* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic update by autodist

* Mon Feb 16 2015 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Sat Jan 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with libmbim 1.10.0

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-3mamba
- rebuilt with libqmi 1.8.0

* Sun Dec 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- enable systemd service on install

* Sun Nov 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 0.7.991-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 0.7.990-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 0.6.0.0-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.5.995.0-1mamba
- automatic version update by autodist

* Sat Mar 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.2.0-1mamba
- update to 0.5.2.0

* Tue Mar 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1.97-1mamba
- update to 0.5.1.97

* Sun Sep 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- update to 0.5

* Sat Jul 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.998-1mamba
- update to 0.4.998

* Fri Jan 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.git20110114-1mamba
- update to 0.4.git20110114

* Thu Jan 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- package created by autospec
